<?php
class UvdvViews{
	//private $prefix = '';
	//private $plugin_news_page = 'http://www.plugingreat.com/plugin-news/news-new-visitor.php';
	
	
	public function UvdvViews(){
	
	}
	
	/**
	 * displays the Add New Form
	 * @params bool $success true if the data is submitted and the data was saved successfully
	 */
	function display_add_new($success, $ID = ''){
		$val_url = '';
		$val_days = 0;
	?>
		<div class="wrap">
			<h2><?php echo ($success == 1) ? $prefix . UPDATE : $prefix . ADDNEW; ?></h2>
			<?php
				switch($success){
					case 1:
						$val_url = $_POST['url'];
						$val_days = $_POST['num_days'];
						echo '<div id="message" class="updated"><p>' . $prefix . ADDED . '</p></div>';
						break;
					case 0;
						$val_url = $_POST['url'];
						$val_days = $_POST['num_days'];				
						echo '<div id="message" class="updated"><p>' . $prefix . NOTADDED . '</p></div>';
						break;
					default:
				}
			?>
			<form class="uvdv-form" method="post" action="<?php echo ($success == 1) ? 'admin.php?page=yourpluginname&subpage=edit&id=' . $ID : ''; ?>">
				<p>
					<label for="url"><?php echo $prefix . URL; ?></label>
					<input class="uvdv-url" type="text" name="url" id="url" value="<?php echo $val_url; ?>" />
				</p>
				<p>
					<label for="num-days"><?php echo $prefix . NUMDAYS; ?></label>
					<input class="uvdv-days" type="text" name="num_days" id="num-days" value="<?php echo $val_days; ?>"/>
				</p>
				<div class="submit">
					<input type="submit" value="<?php echo ($success == 1) ? 'Update' : 'Save'; ?>" class="button-primary"/>
					<a href="admin.php?page=<?php echo $prefix . PAGE; ?>" class="button"><?php echo $prefix . BACK; ?></a>
				</div>
			</form>
		</div>
	<?php
	}

	/**
	 * displays the Update Form
	 * @params bool $success true if the data is submitted and the data was saved successfully
	 */	
	function display_update($success, $ID){	
		$row = uvdv_db_retrieve_row($ID);
		$val_url = $row->url;
		$val_days = $row->days;	
	?>
		<div class="wrap">
			<h2><?php echo $prefix . UPDATE; ?><a class="button add-new-h2" href="admin.php?page=<?php echo $prefix . PAGE; ?>&subpage=add-new"><?php echo $prefix . ADDNEW; ?></a></h2>
			<?php
				switch($success){
					case 1:
						echo '<div id="message" class="updated"><p>' . $prefix . UPDATED . '</p></div>';
						break;
					case 0;
						$val_url = $_POST['url'];
						$val_days = $_POST['num_days'];			
						echo '<div id="message" class="updated"><p>' . $prefix . NOTUPDATED . '</p></div>';
						break;
					default:
				}
			?>
			<form class="uvdv-form" method="post" action="<?php echo ($success == 1) ? 'admin.php?page=yourpluginname&subpage=edit&id=' . $ID : ''; ?>">
				<p>
					<label for="url"><?php echo $prefix . URL; ?></label>
					<input class="uvdv-url" type="text" name="url" id="url" value="<?php echo $val_url; ?>" />
				</p>
				<p>
					<label for="num-days"><?php echo $prefix . NUMDAYS; ?></label>
					<input class="uvdv-days" type="text" name="num_days" id="num-days" value="<?php echo $val_days; ?>"/>
				</p>
				<div class="submit">
					<input type="submit" value="Update" class="button-primary"/>
					<a href="admin.php?page=<?php echo $prefix . PAGE; ?>" class="button"><?php echo $prefix . BACK; ?></a>
				</div>
			</form>
		</div>
	<?php
	}
	
	/**
	 * displays the list of the record
	 * @params $res the message (for bulk delete)
	 */
	function display_lists($res = ''){
		global $ajax_url;
		$allurls = uvdv_db_retrieve_allrows();
		$res = $_GET['res'];
		switch($res){
			case 'deleted':
				$msg = '<div id="message" class="updated"><p>' . $prefix . DELETED . '</p></div>';
				break;
		}
	?>
		<div class="wrap">
			<h2><?php echo $prefix . TITLE; ?><a class="button add-new-h2" href="admin.php?page=<?php echo $prefix . PAGE; ?>&subpage=add-new"><?php echo $prefix . ADDNEW; ?></a></h2>
			<?php
				echo ($msg != '') ? $msg : ''; 
			?>
			
			<table cellspacing="0" class="widefat">
				<thead>
					<tr>
						<!--<th style="" class="check-column"><input type="checkbox"></th>-->
						<th style="" class=""><?php echo $prefix . URL; ?></th>
						<th style="" class="" width="30%"><?php echo $prefix . NUMDAYS; ?></th>					
					</tr>
				</thead>
				<tfoot>
					<tr>
						<!--<th style="" class="check-column"><input type="checkbox"></th>-->
						<th style="" class=""><?php echo $prefix . URL; ?></th>
						<th style="" class="" width="30%"><?php echo $prefix . NUMDAYS; ?></th>									
					</tr>
				</tfoot>
				<tbody>
					<?php foreach($allurls as $row){?>
					<tr valign="top" class="" id="post-">				
						<!--<th class="check-column"><input type="checkbox" value="1" name="post[]"></th>-->
						<td class="">
							<?php echo $row->url; ?>
							<div class="row-actions">
								<span><a title="Edit this item" href="admin.php?page=<?php echo $prefix . PAGE; ?>&subpage=edit&id=<?php echo $row->ID; ?>"><?php echo $prefix . EDIT; ?></a> | </span>
								<span><a title="Delete this item" onclick="javascript: uvdv_post_request('<?php echo $ajax_url; ?>?action=delete-row&id=<?php echo $row->ID; ?>', 'uvdv_delete_row', '<?php echo $row->ID; ?>')"><?php echo $prefix . DELETE; ?></a></span>
							</div>							
						</td>
						<td class=""><?php echo $row->days; ?></td>
					</tr>
					<?php } ?>
				</tbody>
			</table>		
		</div>
	<?php
	}
	
	/**
	 * displays the news page
	 */
	function display_news(){
	?>
		<div class="wrap">
			<h2><?php echo $prefix . NEWS; ?></h2>
			<?php
				$pluginnews = wp_remote_post('http://www.plugingreat.com/plugin-news/news-upvote-downvote.php', array('timeout' => 60));
				$globalnews = wp_remote_post('http://www.plugingreat.com/plugin-news/news-global-plugins.php', array('timeout' => 60));
				
				echo $pluginnews['body'];
				echo $globalnews['body'];
			?>				
		</div>
	<?php
	}

	/**
	 * @params int $ID the row id
	 * @params int $confirm 1 - means delete has been confirmed, otherwise 0
	 * @return bool uvdv_is_deleted true if deletion is successfull, otherwise 0
	 */
	function display_delete(){
	?>
		<div class="wrap">
			<h2><?php echo $prefix . DELETE; ?></h2>
		</div>
	<?php
	}
	
	function display_news_page(){
	?>
		<div class="wrap">
			<h2><?php echo UVDV_NEWS; ?></h2>
		<?php
			$pluginnews = wp_remote_post('http://www.plugingreat.com/plugin-news/news-upvote-downvote.php', array('timeout' => 60));
			$globalnews = wp_remote_post('http://www.plugingreat.com/plugin-news/news-global-plugins.php', array('timeout' => 60));
			
			echo $pluginnews['body'];
			echo $globalnews['body'];
		?>		
		</div>
	<?php
	}
	
}
?>